<?php

/**
 * Class allow to display tpl on the FO
 */
class BWDisplay extends FrontController
{
        // Assign template, on 1.4 create it else assign for 1.5
        public function setTemplate($template, $params = array(), $locale = NULL)
        {
                if (_PS_VERSION_ >= '1.5')
                        parent::setTemplate($template, $params, $locale);
                else
                        $this->template = $template;
        }

        // Overload displayContent for 1.4
        public function displayContent()
        {
                parent::displayContent();

                echo Context::getContext()->smarty->fetch($this->template);
        }
}